Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 796527

Summary: www-client/chromium: SwiftShader doesn't work
Product: Gentoo Linux Reporter: Luke-Jr <luke-jr+gentoobugs>
Component: Current packagesAssignee: Chromium Project <chromium>
Status: RESOLVED FIXED    
Severity: normal CC: esigra, sam
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 251464    

Description Luke-Jr 2021-06-17 21:49:14 UTC
The Chromium ebuild installs libEGL.so and libGLESv2.so to /usr/lib64/chromium-browser/swiftshader, but at runtime, libEGL.so fails with "gl_initializer_linux_x11.cc(124)] : eglGetProcAddress not found." (seen on chrome://gpu/ )

Replacing these bundled libraries with symlinks to the system versions seems to get things working.
Comment 1 Stephan Hartmann gentoo-dev 2021-06-19 14:36:03 UTC
Most likely this change broke ShiftShader with GCC:

https://swiftshader-review.googlesource.com/c/SwiftShader/+/48148

That change made all previously exported functions hidden. I'm testing if it helps to re-add __attribute__((visibility(\"protected\"))).
Comment 2 Luke-Jr 2021-06-19 18:53:45 UTC
(In reply to Stephan Hartmann from comment #1)
> Most likely this change broke ShiftShader with GCC:

But it *does* work, with the system libEGL/libGLESv2 (which AFAIK are built with GCC)...?
Comment 3 Stephan Hartmann gentoo-dev 2021-06-19 20:47:40 UTC
(In reply to Luke-Jr from comment #2)
> (In reply to Stephan Hartmann from comment #1)
> > Most likely this change broke ShiftShader with GCC:
> 
> But it *does* work, with the system libEGL/libGLESv2 (which AFAIK are built
> with GCC)...?

The ShiftShader libraries are an alternative CPU based implementation of OpenGL ES/EGL and have the same interface as mesa libraries. The goal was to provide something that is GPU independent.
Comment 4 Larry the Git Cow gentoo-dev 2021-06-26 15:45:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f568bf655f5348dbacf740c70c37d6ce351f0c1

commit 0f568bf655f5348dbacf740c70c37d6ce351f0c1
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2021-06-26 15:45:28 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2021-06-26 15:45:39 +0000

    www-client/chromium: dev channel bump to 93.0.4549.3
    
    Bug: https://bugs.gentoo.org/796527
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 www-client/chromium/Manifest                       |  4 ++--
 ...0.4542.2.ebuild => chromium-93.0.4549.3.ebuild} |  6 ++----
 .../chromium/files/chromium-93-system-ffmpeg.patch | 25 ++++++++++++++++++++++
 3 files changed, 29 insertions(+), 6 deletions(-)
Comment 5 Larry the Git Cow gentoo-dev 2021-06-26 18:00:47 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f200f53991ab6cf19b754d0536a03c48ce188d9b

commit f200f53991ab6cf19b754d0536a03c48ce188d9b
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2021-06-26 18:00:13 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2021-06-26 18:00:43 +0000

    www-client/chromium: beta channel bump to 92.0.4515.70
    
    Bug: https://bugs.gentoo.org/796527
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 www-client/chromium/Manifest                                          | 4 ++--
 .../{chromium-92.0.4515.59.ebuild => chromium-92.0.4515.70.ebuild}    | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)
Comment 6 Larry the Git Cow gentoo-dev 2021-07-27 17:39:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afa4f06bc7e383b77191f6325ed4efef50ac49f8

commit afa4f06bc7e383b77191f6325ed4efef50ac49f8
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2021-07-27 17:38:58 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2021-07-27 17:39:17 +0000

    www-client/chromium: security cleanup
    
    Bug: https://bugs.gentoo.org/803167
    Closes: https://bugs.gentoo.org/803467
    Closes: https://bugs.gentoo.org/769989
    Closes: https://bugs.gentoo.org/796527
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 www-client/chromium/Manifest                       |   3 -
 www-client/chromium/chromium-91.0.4472.164.ebuild  | 944 ---------------------
 .../files/chromium-89-EnumTable-crash.patch        |  71 --
 .../files/chromium-91-ThemeService-crash.patch     |  36 -
 .../chromium/files/chromium-91-system-icu.patch    |  29 -
 .../chromium/files/chromium-glibc-2.33.patch       | 141 ---
 6 files changed, 1224 deletions(-)